package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

import static de.uni_marburg.powersort.data.DataArraySizes.SIZE_RAND;

public class RandomIntegers extends IntegerSupplier {
    public RandomIntegers(final long seed) {
        super(IntegerArray.random(SIZE_RAND, seed));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(readOnly.length) + " random Integer objects.";
    }
}
